package com.uas.account.service;

import com.uas.account.entity.ChangeAdminDetail;
import com.uas.account.entity.User;
import com.uas.account.entity.UserSpace;
import com.uas.account.entity.UserSpaceDetail;

/**
 * 同步账户中心的数据到商城
 * 
 * @author hejq
 * @time 创建时间：2017年10月20日
 */
public interface SysDataToMallService {

	/**
	 * 同步用户数据
	 * 
	 * @param user
	 * @throws Exception
	 */
	void user(User user) throws Exception;

	/**
	 * 同步企业数据
	 * 
	 * @param userSpace
	 * @param detail
	 */
	void UserSpace(UserSpace userSpace, UserSpaceDetail detail) throws Exception;

	/**
	 * 更换管理员
	 * 
	 * @param chdetail
	 */
	void ChangeAdmin(ChangeAdminDetail chdetail);

	/**
	 * 控制台更改密码同步到商城
	 * 
	 * @param user
	 * @param password
	 */
	void changepwd(User user, String password);

    /**
     * 删除用户同步到商城
     *
     * @param user
     */
    void reMoveUser(User user);
}
